Page MenuHomePhabricator

Ingenico iframe sizing issue?
Closed, ResolvedPublic1 Estimated Story Points

Description

We're seeing credit card donors report that the field for the card number is blocked.

#493002 The donor reported:
"The Iframe is too small to see the button to confirm the transaction....When I enter my card details and confirm, my bank redirects the page to a confirmation page which is too big for the height/width of the iframe. I was not able to see the button to confirm the transaction....I had to go in the developers console of my browser to increase the size of the iframe to be able to see the confirmation button."

They used google chrome on windows 10, and donated successfully: 4000336256 Ingenico

The rest have not donated successfully:

#493720 no browser details, but screenshot shows card number field blocked:

#489429 used HP PC and Google Chrome as browser.

#495107 - no browser details yet

#494475 - no browser details yet
"I couldn't find anywhere on the donate page to enter my credit card number...Then the donate button is grayed out."

#493002 - no browser details yet

Event Timeline

MBeat33 created this task.Oct 30 2018, 8:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2018, 8:22 PM
MBeat33 updated the task description. (Show Details)Oct 30 2018, 8:31 PM

#491890 " I do not use any browser add-ons and my Chrome Browser is up to date"

MBeat33 triaged this task as High priority.Oct 31 2018, 3:37 PM

Seeing more of these, 495818 the place where I need to put my card number doesn't show up.

Any suggestions for donors who encounter this? Asking them to go to the developer's console might be too advanced for most, but any tips re: workarounds would be appreciated (including what to do at the dev console!)

I'm still trying to replicate locally and I can't get it to happen, so I'm not sure what workarounds might be effective. I'll let you know as soon as I find something.

@MBeat33 I'm on to something here. It seems to have to do with the font size setting. These users all appear to be using Chrome, but it'll happen in Firefox as well.
I'll work on finding a fix, but we might be late in the season to make that kind of change, depending on what it turns out to be. In the meantime the workaround would be to have the users set their font size to something smaller.

In Chrome, that would be Settings->Appearance->Font Size and select 'Medium (recommended)'

In firefox, it's Preferences->Fonts & Colors->Default font-Font Size and select 18 or lower.

Change 470945 had a related patch set uploaded (by XenoRyet; owner: XenoRyet):
[mediawiki/extensions/DonationInterface@master] Fix Ingenico iFrame placement

https://gerrit.wikimedia.org/r/470945

Change 470945 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Fix Ingenico iFrame placement

https://gerrit.wikimedia.org/r/470945

This is deployed now, and the fix looks good in production.

XenoRyet closed this task as Resolved.Nov 13 2018, 8:51 PM
XenoRyet set the point value for this task to 1.Jun 25 2019, 5:45 PM